Bug 672420 (CVE-2010-4656) - CVE-2010-4656 kernel: iowarrior usb device heap overflow
Summary: CVE-2010-4656 kernel: iowarrior usb device heap overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4656
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20101022,repor...
Depends On: 672421 672422 672423
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-25 04:02 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 18:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:41:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0330 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-03-10 20:04:13 UTC
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description Eugene Teo (Security Response) 2011-01-25 04:02:29 UTC
If the iowarrior devices in this case statement support more than 8 bytes per report, it is possible to write past the end of a kernel heap allocation. This will probably never be possible, but change the allocation to be more defensive anyway.

Upstream commit:
http://git.kernel.org/linus/3ed780117dbe5acb64280d218f0347f238dafed0

Acknowledgements:

Red Hat would like to thank Kees Cook for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-01-25 05:16:59 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 4 and 5 as they do not have support for the I/O-Warrior USB devices. This has been addressed in Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0330.html. A future kernel update in Red Hat Enterprise Linux 6 may address this flaw.

Comment 4 errata-xmlrpc 2011-03-10 20:05:15 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0330 https://rhn.redhat.com/errata/RHSA-2011-0330.html

Comment 5 errata-xmlrpc 2011-04-08 02:57:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html


Note You need to log in before you can comment on or make changes to this bug.